function fig7_25

clf
% get(gcf)
set(gcf,'Position', [25 1115 658 230])
subaxis(1,1,1,1,'MT',0.01,'MB',0.2,'MR',-0.015,'ML',0.045,'P',0.04)
co = [0 0 1;
    0 0.5 0;
    1 0 0;
    0 0.75 0.75;
    0.75 0 0.75;
    0.75 0.75 0;
    0.25 0.25 0.25];
set(groot,'defaultAxesColorOrder',co)

%q=1/2-x0+(ep/a)*log( (1-g*exp(-lambda*t))/(1+g*exp(-lambda*t)));

a=1;  ep=0.01;  x0=0.25;
k=a*(1/2-x0)/ep
g=(1-exp(-k))/(1+exp(-k))
lambda=2*a^2*exp(-a/(2*ep))/ep

nt=200;
dt=linspace(-3,25,nt);
for it=1:nt
    t(it)=10^(dt(it));
    % if(t(it)<10^5)
    %     q(it)=a*exp(-a*x0/ep)*t(it);
    % else
    %     q(it)=1/2+(ep/a)*log( (1-g*exp(-lambda*t(it)))/(1+g*exp(-lambda*t(it))));
    % end
    if(t(it)<2*10^19)
        %q(it)=1/2 + ep*log(exp(-k) + lambda*t(it)/2)/a;
        q(it)=1/2 + ep*log(exp(-k) + lambda*t(it)/2 - lambda^3*t(it)^3/24 + lambda^5*t(it)^5/240)/a;
    else
        q(it)=1/2 - 2*ep*exp(-lambda*t(it))/a;
        %q(it)=1/2+(ep/a)*log( (1-g*exp(-lambda*t(it)))/(1+g*exp(-lambda*t(it))));
    end
    if q(it)<0.5*(x0+0.5)
        IT=it;
    end
    %q(it)=0.5+(ep/a)*log(1-exp(-lambda*t(it))+2*exp(-k-lambda*t(it)));
end


semilogx(t,q,'Linewidth',1.2)
hold on
box on
grid on
x1=10^(-2); x2=10^(25); y1=0.2; y2=0.6;
axis([x1 x2 y1 y2])
ax = gca;
ax.XAxis.TickLabelInterpreter = 'latex';
ax.YAxis.TickLabelInterpreter = 'latex';
set(gca,'FontSize',13)

xlabel('$t$\,-\,axis','Interpreter','latex','FontSize',14)
ylabel('$X(t)$','Interpreter','latex','FontSize',14)

%exportgraphics(gcf,'/Users/mark/Desktop/meta.pdf')

